Laravel Homestead Different PHP Version

If you are a Laravel developer and always follow php development, you must be in situation where you like to try new feature of latest php version but your project has to use older php version.

Don’t worry because since version 6.0 Laravel Homestead has convenient way to handle this.

All you need to do is put a specific php version in your Homestead.yaml file like below:

 

Than, you need to provision your homestead.

$ vagrant --provision

https://laravel.com/docs/5.4/homestead#multiple-php-versions

https://github.com/laravel/homestead/issues/604

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.